# Class CIM_AssociatedSensor
extends CIM_Dependency

The CIM_AssociatedCooling relationship indicates what ManagedSystemElement(s) the fan or cooling device is providingcooling for.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedSensor

## Direct Known Subclasses

CIM_AssociatedSupplyCurrentSensor
CIM_AssociatedSupplyVoltageSensor

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The CIM_AssociatedCooling relationship indicates what ManagedSystemElement(s) the fan or cooling device is providingcooling for.
UMLPackagePath | string | CIM::Device::Sensors
Version | string | 2.19.1

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedSensor | CIM_Sensor
Dependent | CIM_AssociatedSensor | CIM_ManagedSystemElement

## Class Methods